Skip to main content

Reward Configuration - Delete

This section contains endpoints used to delete reward configurations.


Delete

Deletes an existing reward configuration.

POST /api/v1/integration/reward-configurations/delete

Request

ParameterTypeDescriptionRequired
idUUIDReward configuration identifierConditional
externalIdStringMerchant-defined identifier used to reference the reward configurationConditional
merchantIdUUIDMerchant identifierYes
timestampLongUNIX timestamp in millisecondsYes
hashStringHMAC SHA256 signature used to verify the requestYes

Example Request

{
"id": "7a899322-c001-4187-8a8b-26d51d0e08fd",
"merchantId": "1387a6cc-3651-4473-ae52-e415caea3395",
"timestamp": 1754495931035,
"hash": "e93556d37a8c4eab7bda2d411322cdc4f0dc444c9101d9453a6635dfd8c73f7d"
}

Response

204 No Content

No response body is returned.


Bulk Delete

Deletes multiple reward configurations.

POST /api/v1/integration/reward-configurations/bulkDelete

Request

ParameterTypeDescriptionRequired
idsList<UUID>List of reward configuration identifiersConditional
externalIdsList<String>List of merchant-defined reward configuration identifiersConditional
merchantIdUUIDMerchant identifierYes
timestampLongRequest timestamp in epoch millisecondsYes
hashStringHMAC SHA256 signature used to verify the requestYes

Example Request

{
"ids": [
"7a899322-c001-4187-8a8b-26d51d0e08fd",
"7a899322-c001-4187-8a8b-26d51d0e08df"
],
"merchantId": "1387a6cc-3651-4473-ae52-e415caea3395",
"timestamp": 1754495931035,
"hash": "e93556d37a8c4eab7bda2d411322cdc4f0dc444c9101d9453a6635dfd8c73f7d"
}

Response

200 OK

No response body is returned.